Bug 658337 - SELinux is preventing /opt/google/chrome/chrome "getattr" access on unix_stream_socket.
Summary: SELinux is preventing /opt/google/chrome/chrome "getattr" access on unix...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 14
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:6909d69bc09...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-30 02:57 UTC by Rishabh Dangwal
Modified: 2010-12-05 00:37 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.9.7-14.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 00:37:27 UTC
Type: ---


Attachments (Terms of Use)

Description Rishabh Dangwal 2010-11-30 02:57:28 UTC
Summary:

SELinux is preventing /opt/google/chrome/chrome "getattr" access on
unix_stream_socket.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by chrome. It is not expected that this access
is required by chrome and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:unconfined_r:unconfined_execmem_t:s0-
                              s0:c0.c1023
Target Objects                unix_stream_socket [ unix_stream_socket ]
Source                        chrome
Source Path                   /opt/google/chrome/chrome
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           google-chrome-stable-6.0.472.55-58392
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-51.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.34.6-47.fc13.i686 #1 SMP Fri Aug 27
                              09:48:44 UTC 2010 i686 i686
Alert Count                   3
First Seen                    Tue 09 Nov 2010 04:00:22 PM IST
Last Seen                     Tue 09 Nov 2010 04:10:03 PM IST
Local ID                      7a6fcfa3-dbb2-4663-a8e2-a20eb0c99494
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1289299203.207:28): avc:  denied  { getattr } for  pid=3006 comm="chrome" path="socket:[76086]" dev=sockfs ino=76086 scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_execmem_t:s0-s0:c0.c1023 tclass=unix_stream_socket

node=(removed) type=SYSCALL msg=audit(1289299203.207:28): arch=40000003 syscall=197 success=yes exit=0 a0=18 a1=bff4979c a2=711ff4 a3=bc361a0 items=0 ppid=1 pid=3006 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="chrome" exe="/opt/google/chrome/chrome" subj=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,chrome,chrome_sandbox_t,unconfined_execmem_t,unix_stream_socket,getattr
audit2allow suggests:

#============= chrome_sandbox_t ==============
allow chrome_sandbox_t unconfined_execmem_t:unix_stream_socket getattr;

Comment 1 Daniel Walsh 2010-11-30 14:43:16 UTC
Miroslav add
	allow chrome_sandbox_t $2:unix_stream_socket { getattr read write };


to chrome_role interface.

Comment 2 Miroslav Grepl 2010-12-01 10:41:22 UTC
Fixed in selinux-policy-3.9.7-14.fc14

Comment 3 Fedora Update System 2010-12-02 08:18:27 UTC
selinux-policy-3.9.7-14.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.7-14.fc14

Comment 4 Fedora Update System 2010-12-02 19:14:05 UTC
selinux-policy-3.9.7-14.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/selinux-policy-3.9.7-14.fc14

Comment 5 Fedora Update System 2010-12-05 00:36:30 UTC
selinux-policy-3.9.7-14.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.